// EdIRBLB.hpp : header file
//

#ifndef _EDIRBLB_HPP_
#define _EDIRBLB_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// class CPA_EdIR_BehaviourListBox
/////////////////////////////////////////////////////////////////////////////

class CPA_EdIR_BehaviourListBox : public CListBox
{
	// Construction
	public:
		CPA_EdIR_BehaviourListBox();

	// Attributes
	public:

	// Operations
	public:
		int	SetCurSel(int,BOOL bDeselect=TRUE);
		int	GetCurSel() const;

	// Overrides
		// ClassWizard generated virtual function overrides
		//{{AFX_VIRTUAL(CPA_EdIR_BehaviourListBox)
		//}}AFX_VIRTUAL

	// Implementation
	public:
		virtual ~CPA_EdIR_BehaviourListBox();

		// Generated message map functions
	protected:
		//{{AFX_MSG(CPA_EdIR_BehaviourListBox)
		afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
		afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
		afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
		//}}AFX_MSG
		afx_msg void m_fn_vOnDeleteBehaviour();
		afx_msg void m_fn_vOnRenameBehaviour();
		afx_msg void m_fn_vOnAddBehaviour();
		afx_msg void m_fn_vOnDeleteAllBehaviours();

	DECLARE_MESSAGE_MAP()
};

#endif //_EDIRBLB_HPP_
